gnutls_x509_crt_set_subject_alternative_name(3)

NAME
gnutls_x509_crt_set_subject_alternative_name - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_subject_alternative_name(gnutls_x509_crt_t crt, gnutls_x509_subject_alt_name_t type, const char * data_string);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

gnutls_x509_subject_alt_name_t           type
    is one of the gnutls_x509_subject_alt_name_t enumerations

const char * data_string
    The data to be set, a (0) terminated string

DESCRIPTION
This function will set the subject alternative name certificate extension. This function assumes that data can be expressed as a null terminated string.

The name of the function is unfortunate since it is inconsistent with gnutls_x509_crt_get_subject_alt_name().

See gnutls_x509_crt_set_subject_alt_name() for more information.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/